# $Revision: 1.20 $, $Date: 2011/06/18 21:05:53 $
%define		realname   atk
Summary:	ATK - Accessibility Toolkit - cross MinGW32 version
Summary(pl.UTF-8):	ATK - biblioteka ułatwiająca niepełnosprawnym korzystanie z komputerów - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.0.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atk/2.0/%{realname}-%{version}.tar.bz2
# Source0-md5:	87f20b78deaedef858ac54358c0786b1
URL:		http://library.gnome.org/devel/atk/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-glib2 >= 2.20.0
BuildRequires:	libtool >= 2:1.5.16
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	crossmingw32-glib2 >= 2.20.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka ATK udostępnia zestaw interfejsów ułatwiających
niepełnosprawnym korzystanie z aplikacji i poszczególnych elementów
graficznego interfejsu użytkownika. Poprzez wykorzystanie interfejsów
ATK, aplikacja lub element interfejsu może być używany z takimi
narzędziami jak czytniki ekranu i narzędzia powiększające oraz
alternatywnymi urządzeniami wejściowymi.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static atk library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka atk (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static atk library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka atk (wersja skrośna MinGW32).

%package dll
Summary:	DLL atk library for Windows
Summary(pl.UTF-8):	Biblioteka DLL atk dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-glib2-dll >= 2.20.0
Requires:	wine

%description dll
DLL atk library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL atk dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc
# runtime
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_libdir}/libatk-1.0.dll.a
%{_libdir}/libatk-1.0.la
%{_libdir}/atk-1.0.def
%{_includedir}/atk-1.0
%{_pkgconfigdir}/atk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-1.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libatk-1.0-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-atk.spec,v $
Revision 1.20  2011/06/18 21:05:53  kiesiu
- updated to 2.0.1

Revision 1.19  2011/04/17 18:54:57  qboosh
- updated to 2.0.0

Revision 1.18  2010/10/04 06:41:21  qboosh
- Source0 URL fix

Revision 1.17  2010/10/03 18:51:34  qboosh
- updated to 1.32.0

Revision 1.16  2010/09/19 05:38:53  qboosh
- unified MinGW32 caps

Revision 1.15  2010/03/30 20:14:11  qboosh
- updated to 1.30.0

Revision 1.14  2010/03/19 06:41:02  qboosh
- updated to 1.28.0

Revision 1.13  2009/03/23 21:35:26  qboosh
- updated to 1.26.0

Revision 1.12  2008/09/23 17:29:20  qboosh
- updated to 1.24.0

Revision 1.11  2008/03/12 22:43:22  qboosh
- updated to 1.22
- workaround for libtool 2.2 (to be revised later)

Revision 1.10  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.9  2007-10-20 21:03:28  wolf
- make -j1 install

Revision 1.8  2007/09/17 21:27:56  qboosh
- updated to 1.20.0

Revision 1.7  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.6  2007/08/26 17:08:28  qboosh
- unified gnome source URL

Revision 1.5  2007/05/07 17:22:06  qboosh
- updated to 1.18.0

Revision 1.4  2007/03/06 14:08:30  qboosh
- cleanup, separated -static,-dll

Revision 1.3  2007/03/04 21:29:58  qboosh
- cleanup

Revision 1.2  2007/02/25 15:12:48  czarny
- proper static + shared build

Revision 1.1  2007/02/20 20:06:18  czarny
- new based on atk.spec
